$(document).ready(function () {

    /**************************
     VALIDA TAMANHO
     **************************/
    $('#btnComprar').click(function () {
        if ($('#opcaoTamanho').val() == '') {
            bootbox.alert('Escolha o TAMANHO desejado');
            $('#opcaoTamanho').css('border', '1px #f00 solid');
            $('#opcaoTamanho').focus();
            return false;
        } else {
            $('#opcaoTamanho').css('border', '1px #000 solid');
            return true;
        }
    });

    /**************************
     VALIDA COR
     **************************/
    $('#btnComprar').click(function () {
        if ($('#opcaoCor').val() == '') {
            bootbox.alert('Escolha a COR desejada');
            $('#opcaoCor').css('border', '1px #f00 solid');
            $('#opcaoCor').focus();
            return false;
        } else {
            $('#opcaoCor').css('border', '1px #000 solid');
            return true;
        }
    });

    $('button[validar=1]').click(function () {
        var validou = true;
        $('[req=1]').each(function (i) {
            if ($(this).val() == "") {
                validou = false;
                $(this).css("border-color", "red");
            } else {
                $(this).css("border-color", "#CCC");
            }
        });
        if (!validou) {
            bootbox.alert('Verifique os campos obrigatórios.');
            return false;
        } else {
            $('#fcomentario').submit();
        }
    });

});